.col-product-designer {
  padding: 0 2px;
}

@media (max-width: 479px) {
  .col-product-designer {
    padding: 0;
  }
}

.fpd-container {
  margin: 0 auto;
  border-radius: var(--brd-radius);
}

.fpd-modal-overlay > .fpd-modal-wrapper {
  border-radius: var(--brd-radius);
  width: 330px;
}

body .fpd-range-slider {
  direction: ltr !important;
}

body .fpd-slider-group>span[class^="fpd-icon-"] {
  padding: 14px 0 0 16px;
}

body .fpd-slider-group>input {
  margin-left: 0 !important;
  margin-right: 16px !important;
}

body .fpd-slider-group>span[class^="fpd-icon-"] {
  padding: 11px 0 0 16px;
}

.fpd-container .uploader {
  display: none;
}

.fpd-element-toolbar-smart .fpd-top-tools [class^="fpd-tool-"],
.fpd-element-toolbar-smart .fpd-bottom-tools [class^="fpd-tool-"],
.fpd-element-toolbar-smart .fpd-icon-button-group>span {
  margin-right: 0;
  margin-left: 12px;
}

.fpd-element-toolbar-smart .fpd-tools-group {
  margin-right: 0;
  margin-left: 12px;
}

.fpd-element-toolbar-smart input {
  min-width: 60px !important;
  height: 31px !important;
}

.fpd-tool-font-family>.fpd-icon-arrow-dropdown {
  margin-top: -2px;
}

.fpd-element-toolbar-smart .fpd-panel-tabs {
  display: flex !important;
}

.fpd-sub-panel .fpd-panel-tabs>span.fpd-disabled {
  display: block !important;
  opacity: 0.5 !important;
}

.sp-clear,
.sp-color,
.sp-container,
.sp-container button,
.sp-container input,
.sp-hue {
  font-family: inherit;
  font-size: 14px;
}

.fpd-container .fpd-btn,
.fpd-modal-wrapper .fpd-btn {
  border-radius: var(--brd-radius-md);
}

@media (min-width: 568px) {
  [class*="fpd-toolbar-placement-inside-"] .fpd-tool-font-family {
    width: 180px;
  }

  [class*="fpd-toolbar-placement-inside-"] .fpd-top-tools> :last-child {
    margin-right: 0 !important;
    margin-left: 12px !important;
  }
}

.fpd-topbar .fpd-navigation>div {
  padding: 0 8px;
}

.fpd-topbar .fpd-navigation>div>span {
  font-size: 24px;
}

.fpd-topbar .fpd-navigation>div>span.fpd-icon-grid {
  font-size: 34px;
  margin-left: -6px;
}

.fpd-topbar .fpd-navigation>div>.fpd-label {
  font-size: 15px;
  padding-right: 6px;
  padding-left: 6px;
  line-height: 67px;
  font-weight: 500;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

@media (min-width: 768px) and (max-width: 1320px) {
  .fpd-topbar .fpd-navigation>div>span {
    display: block;
    padding-top: 10px;
    line-height: 1 !important;
  }

  .fpd-topbar .fpd-navigation>div>span.fpd-icon-grid {
    margin-left: 0;
    margin-bottom: -1px;
    line-height: 25px !important;
  }

  .fpd-topbar .fpd-navigation .fpd-label {
    font-size: 12px !important;
    padding-top: 6px;
  }
}

@media (max-width: 568px) {
  .fpd-topbar .fpd-navigation .fpd-label {
    font-size: 12px !important;
    padding-top: 7px;
  }

  .fpd-topbar .fpd-navigation>div>span {
    padding-top: 10px;
    line-height: 1 !important;
  }

  .fpd-topbar .fpd-navigation>div>span.fpd-icon-grid {
    margin-left: 0;
    line-height: 24px !important;
  }
}

.mCS-dir-rtl>.mCSB_outside+.mCSB_scrollTools {
  left: 0;
}

.fpd-element-toolbar-smart .fpd-sub-panel .fpd-close-panel {
  display: inline-flex;
  padding: 4px 8px;
  left: auto;
  right: 0;
  border-top-left-radius: 4px;
  font-size: 13px;
}

.fpd-element-toolbar-smart .fpd-sub-panel .fpd-close-panel .fpd-icon-back {
  transform: scaleX(-1);
  margin-left: 4px;
}

.fpd-sub-panel .fpd-tool-scaleX {
  margin-bottom: 15px;
}

.fpd-element-toolbar-smart .fpd-panel-font-family input {
  text-align: right !important;
  font-family: "Vazirmatn" !important;
}

.fpd-element-toolbar-smart input[type="number"],
.fpd-element-toolbar-smart input[type="text"],
.fpd-element-toolbar-smart textarea,
.fpd-element-toolbar-smart .fpd-panel-edit-text>textarea {
  font-size: 14px;
}

.fpd-fonts-list .fpd-item {
  padding: 5px 6px 5px 0;
}

.fpd-element-toolbar-smart .fpd-slider-group>.fpd-icon-transparency {
  padding-left: 0;
}

.fpd-element-toolbar-smart .fpd-slider-group>.fpd-icon-transparency {
  padding-right: 5px;
}

.fpd-grid>.fpd-item {
  float: right;
}

body .sp-container .sp-palette .sp-thumb-el.sp-thumb-active .sp-thumb-inner:before {
  border-radius: var(--brd-radius-md);
}

.fpd-panel-color .sp-thumb-el.sp-thumb-active .sp-thumb-inner:before {
  top: -3px !important;
  left: -3px !important;
  width: 35px !important;
  height: 35px !important;
}

body .sp-container .sp-palette .sp-thumb-el,
body .sp-container .sp-palette .sp-thumb-inner {
  border-radius: var(--brd-radius-md);
}

.fpd-tool-color>.fpd-icon-color-fill {
  text-shadow: none;
}

body .sp-container .sp-picker-container .sp-input-container>input {
  text-align: left;
  direction: ltr !important;
  background: #fff !important;
}

.fpd-element-toolbar-smart .sp-clear-display {
  font-size: 20px;
}

[class^="fpd-element-toolbar-"] .fpd-panel-tabs>span {
  font-size: 13px;
  color: rgb(153, 153, 153);
}

.sp-dragger {
  border-radius: 50%;
  height: 10px;
  width: 10px;
  border: 2px solid #fff !important;
}

.fpd-module[data-module="text"] .fpd-text-templates {
  border-top: none;
}

[data-context="upload"] .fpd-grid .fpd-loading-bar {
  direction: ltr !important;
}

.fpd-container.fpd-device-smartphone~.fpd-views-wrapper,
.fpd-container.fpd-views-outside~.fpd-views-wrapper {
  margin: 20px 0 30px;
}

@media (min-width: 768px) {
    .fpd-container.fpd-device-smartphone~.fpd-views-wrapper,
    .fpd-container.fpd-views-outside~.fpd-views-wrapper {
      margin: 20px 0 15px;
    }
}

.fpd-views-wrapper>.fpd-view-prev,
.fpd-views-wrapper>.fpd-view-next {
  line-height: 42px;
  padding-top: 2px;
}

.fpd-views-wrapper .fpd-views-selection .fpd-item {
  padding: 5px;
  background: #fbfcfc;
}

.fpd-container.fpd-views-outside~.fpd-views-wrapper .fpd-item,
.fpd-container.fpd-device-smartphone~.fpd-views-wrapper .fpd-item {
  width: 80px;
  height: 80px;
  margin: 0 0 0 15px !important;
  border-radius: var(--brd-radius-md);
}

@media (max-width: 360px) {
  .fpd-container[class*="fpd-off-canvas-right"] .fpd-mainbar.fpd-show>.fpd-close-off-canvas {
    right: 239px;
  }

  .fpd-topbar[class*="fpd-off-canvas-"] .fpd-mainbar .fpd-content {
    width: 240px;
  }
}

.fpd-snackbar-wrapper {
  left: 20px;
  bottom: 10px;
}

.fpd-snackbar {
  border-radius: var(--brd-radius-md);
}

.fpd-snackbar p {
  text-align: right;
}

.fpd-manage-layers-panel .fpd-list-row>div.fpd-cell-2>span {
  padding-left: 0;
  padding-right: 10px;
}

.fpd-manage-layers-panel .fpd-list-row>div.fpd-cell-1 {
  direction: ltr !important;
}

.fpd-icon-close {
  line-height: 28px !important;
}

.fpd-item:hover>picture {
  opacity: 0.8 !important;
}

.fpd-element-toolbar-smart .fpd-color-palette>.fpd-item {
  margin: 0 0 5px 5px;
}

body .sp-container .sp-palette .sp-thumb-el {
  margin: 5px;
}

.fpd-topbar .fpd-navigation {
  overflow-y: hidden;
  scrollbar-width: thin;
}

/* COLOR SCHEME - here you can define your own color scheme */
/* Primary Color */
.fpd-container .fpd-primary-bg-color,
.fpd-actions-wrapper>.fpd-action-btn:hover,
.fpd-actions-wrapper>.fpd-action-btn.fpd-active,
.fpd-thumbnail-preview>.fpd-preview-price {
  background-color: #1c2023;
}

.fpd-actions-wrapper>.fpd-action-btn.fpd-disabled {
  background-color: transparent;
}

.fpd-container .fpd-primary-text-color,
.fpd-navigation>div.fpd-active,
.fpd-navigation>div.fpd-active .fpd-nav-icon:before,
.fpd-bottom-nav>div.fpd-active {
  color: #1c2023;
}

.fpd-navigation>div.fpd-active svg * {
  fill: #1c2023;
}

/* Secondary Color */
.fpd-container .fpd-secondary-bg-color,
.fpd-container .fpd-btn,
.fpd-modal-wrapper .fpd-modal-content .fpd-btn,
.fpd-switch-container.fpd-enabled .fpd-switch-toggle,
.fpd-switch-container.fpd-enabled .fpd-switch-bar,
.fpd-modal-product-designer.fpd-modal-overlay .fpd-done,
.fpd-range-slider__handle:after,
.fpd-range-slider--horizontal .fpd-range-slider__fill {
  background-color: #0d6efd;
}

.fpd-container .fpd-btn:hover,
body .fpd-modal-wrapper .fpd-btn:hover {
  background: #0b5ed7;
}

.fpd-container .fpd-btn.fpd-secondary,
body .fpd-modal-wrapper .fpd-btn.fpd-secondary {
  background: #e9ecef;
}

.fpd-container .fpd-btn.fpd-secondary:hover,
body .fpd-modal-wrapper .fpd-btn.fpd-secondary:hover {
  background: #e9ecef;
}

.fpd-container .fpd-btn.fpd-dark {
  background: rgba(0, 0, 0, 0.6);
}

.fpd-container .fpd-btn.fpd-dark:hover {
  background: rgba(26, 26, 26, 0.6);
}

.fpd-toggle.fpd-enabled,
.fpd-product-stage.fpd-drag~.fpd-action-context-zoom .fpd-stage-pan,
:not(.fpd-ui-theme-doyle).fpd-device-smartphone .fpd-actions-container .fpd-active,
.fpd-element-toolbar-smart>div [class^="fpd-tool-"]:hover,
.fpd-element-toolbar-smart .sp-clear-display {
  color: #0d6efd !important;
}

.fpd-element-toolbar-smart {
  background-color: #e9ecef;
}

/* LOADER */
.fpd-loader>.fpd-loader-text {
  font-weight: 300;
  letter-spacing: 0;
}

.fpd-loader>.fpd-loader-circle {
  border: 3px solid rgba(0, 0, 0, 0.2) !important;
  border-left: 3px solid #000 !important;
}

/* Main Text Color */
.fpd-container,
.fpd-container textarea,
.fpd-sub-tooltip-theme .tooltipster-content,
.fpd-modal-wrapper>.fpd-modal-close {
  color: rgba(0, 0, 0, 0.8);
}

.fpd-element-toolbar-smart .fpd-top-tools [class^="fpd-tool-"],
.fpd-element-toolbar-smart .fpd-bottom-tools [class^="fpd-tool-"],
.fpd-element-toolbar-smart .fpd-icon-button-group>span {
  font-size: 14px;
}

.fpd-container textarea {
  border-radius: var(--brd-radius-md);
  font-size: 14px;
}

/* Main Border Color */
.fpd-actions-wrapper>.fpd-action-btn,
.fpd-list>.fpd-list-row,
.fpd-container.fpd-sidebar>.fpd-mainbar,
.fpd-container textarea,
.fpd-container.fpd-sidebar.fpd-sidebar-right>.fpd-mainbar,
.fpd-container.fpd-main-bar-container .fpd-mainbar,
.fpd-container .fpd-module input,
.fpd-thumbnail-preview,
.fpd-container .fpd-stage-off-canvas,
.fpd-manage-layers-panel .fpd-sortable-placeholder,
.fpd-container .fpd-close-off-canvas,
.fpd-topbar[class*="fpd-off-canvas-"] .fpd-mainbar .fpd-content,
.fpd-container input[type="text"],
.fpd-text-layers-panel .fpd-list>div {
  border-color: rgba(0, 0, 0, 0.1) !important;
}

.fpd-container textarea:focus,
.fpd-element-toolbar textarea:focus {
  border: 1px solid rgba(0, 0, 0, 0.1);
}

/* Doyle */
.fpd-element-toolbar-side .fpd-tools-nav>div:hover,
.fpd-element-toolbar-side .fpd-tools-nav .fpd-active {
  color: #0d6efd;
}

.fpd-element-toolbar-side .fpd-panel-tabs>.fpd-active,
.fpd-element-toolbar-side .fpd-tools-group>*:hover,
.fpd-element-toolbar-side .fpd-fonts-list .fpd-item.fpd-active {
  color: #0d6efd !important;
}

.fpd-views-wrapper>.fpd-view-next,
.fpd-views-wrapper>.fpd-view-prev {
  background: #ced4da;
}

.fpd-container>.fpd-main-wrapper {
  background: #fbfcfc;
}

/* SNACKBAR */
.fpd-snackbar {
  background: #343a40;
}

.fpd-upload-zone>div>span {
  font-size: 12px;
}

/* Checkbox */
.fpd-checkbox>label {
  padding-left: 0;
  padding-right: 25px;
}

.fpd-checkbox>label:before {
  right: 0;
  left: auto;
  border-radius: var(--brd-radius-md);
  border: 1px solid rgba(0,0,0,.15);
}

.fpd-checkbox:hover > label::before {
  box-shadow: none;
  border: 1px solid rgba(0,0,0,.25);
}

.fpd-checkbox>label:after {
  right: 5px;
  left: auto;
}

/* Top Bar - Off Canvas */
.fpd-container.fpd-topbar[class*="fpd-off-canvas-right"] .fpd-close-off-canvas {
  -webkit-box-shadow: -2px 3px 3px 0px rgba(0, 0, 0, 0.05);
  box-shadow: -2px 3px 3px 0px rgba(0, 0, 0, 0.05);
}

.fpd-topbar[class*="fpd-off-canvas-right"] .fpd-mainbar .fpd-content {
  -webkit-box-shadow: -2px 8px 8px 0px rgba(0, 0, 0, 0.1);
  box-shadow: -2px 8px 8px 0px rgba(0, 0, 0, 0.1);
}

/* Color selection */
.fpd-color-selection.fpd-custom-pos {
  margin: 0;
}

.fpd-color-selection.fpd-custom-pos .fpd-title {
  display: block;
  font-weight: 700;
  line-height: 20px;
  margin-bottom: 4px;
  border: none;

}

.fpd-color-selection.fpd-custom-pos .fpd-colors .sp-replacer,
.fpd-color-selection.fpd-custom-pos .fpd-colors>.fpd-item {
  display: inline-block;
  width: 50px;
  height: 45px;
  position: relative;
  -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, 0.125);
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.125);
  border-radius: 0;
  margin-right: 0;
  margin-left: 10px;
  margin-bottom: 10px;
  border: none;
  cursor: pointer;
}

.fpd-color-selection.fpd-custom-pos .fpd-colors .fpd-active::before {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) !important;
  content: "\F272";
  display: inline-block;
  font-family: "bootstrap-icons" !important;
  font-size: 16px;
  line-height: 1;
  width: 16px;
  height: 16px;
  color: #fff;
  margin-top: -9px;
}

.fpd-color-selection.fpd-custom-pos .fpd-colors .fpd-active[data-color="#ffffff"]::before {
  color: #000;
}

.fpd-color-selection.fpd-custom-pos .fpd-colors>.fpd-item>.fpd-label {
  text-align: center;
  padding: 5px 2px;
  font-weight: 300;
  font-size: 11px;
  line-height: 1;
  color: #1c2023;
  -webkit-user-select: none;
  -moz-user-select: none;
   -ms-user-select: none;
       user-select: none;
}

.fpd-views-wrapper .fpd-views-selection .fpd-item > picture {
	background-position: center;
}

.rte [class*=" fpd-icon-"], .rte [class^="fpd-icon-"] {
	background: #495057;
	width: 32px;
	height: 32px;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 50px;
	color: #fff;
}